=== apps/CMakeLists.txt ===
# Apps:
add_subdirectory(mp2p-icp-run)
add_subdirectory(mp2p-icp-log-viewer)
add_subdirectory(kitti2mm)
