=== debian/changelog ===
ros-iron-mp2p-icp (0.2.2-1jammy) jammy; urgency=high

  * Fix missing cmake dependencies between libraries
  * Update mola_common
  * Refactor into a new small library mp2p_icp_map with just the metricmap_t class
  * sync mola_common submodule
  * Update submodule mola_common
  * Remove redundant section
  * Update ROS badges
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Thu, 07 Sep 2023 22:00:00 -0000

ros-iron-mp2p-icp (0.2.1-1jammy) jammy; urgency=high

  * Update copyright date
  * Update to new name of mola_common
  * update ros badges
  * Contributors: Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Fri, 01 Sep 2023 22:00:00 -0000

ros-iron-mp2p-icp (0.2.0-1jammy) jammy; urgency=high

  * First release as MOLA submodule.

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Wed, 23 Aug 2023 22:00:00 -0000

ros-iron-mp2p-icp (0.1.0-1jammy) jammy; urgency=high

  * First official release of the mp2p_icp libraries
  * Contributors: FranciscoJManasAlvarez, Jose Luis Blanco-Claraco

 -- Jose-Luis Blanco-Claraco <joseluisblancoc@gmail.com>  Tue, 13 Jun 2023 22:00:00 -0000
